### GET /v1/projects/{project_id} Retrieves information about the specified project ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **limit** (number (double), query, optional): Number of results to return per page. Default 10. Range [1,1000] - **page** (number (double), query, optional): Navigate and return the results to retrieve specific portions of information of the response - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A project **GetProjectV1Response** - **project_id** (string): The unique identifier of the project - **mip_opt_out** (boolean): Model Improvement Program opt-out - **name** (string): The name of the project #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}?limit=10&page=0" ``` ``` -------------------------------- ### GET /v1/projects Retrieves basic information about the projects associated with the API key ```markdown ### Parameters - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A list of projects **ListProjectsV1Response** - **projects** (array (ListProjectsV1ResponseProjectsItems)) Array items: - **project_id** (string): The unique identifier of the project - **name** (string): The name of the project #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/invites Generates a list of invites for a specific project ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A list of invites for a specific project **ListProjectInvitesV1Response** - **invites** (array (ListProjectInvitesV1ResponseInvitesItems)) Array items: - **email** (string): The email address of the invitee - **scope** (string): The scope of the invitee #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/invites" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/balances/{balance_id} Retrieves details about the specified balance ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **balance_id** (string, path, required): The unique identifier of the balance - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A specific balance **GetProjectBalanceV1Response** - **balance_id** (string): The unique identifier of the balance - **amount** (number (double)): The amount of the balance - **units** (string): The units of the balance, such as "USD" - **purchase_order_id** (string): Description or reference of the purchase #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/balances/{balance_id}" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/self-hosted/distribution/credentials/{distribution_credentials_id} Returns a set of distribution credentials for the specified project ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **distribution_credentials_id** (string, path, required): The UUID of the distribution credentials - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - Single distribution credential **GetProjectDistributionCredentialsV1Response** - **member** (object) (required) - **member_id** (string (uuid)) (required): Unique identifier for the member - **email** (string (email)) (required): Email address of the member - **distribution_credentials** (object) (required) - **distribution_credentials_id** (string (uuid)) (required): Unique identifier for the distribution credentials - **provider** (string) (required): The provider of the distribution service - **comment** (string): Optional comment about the credentials - **scopes** (array (string)) (required): List of permission scopes for the credentials - **created** (string (date-time)) (required): Timestamp when the credentials were created #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/self-hosted/distribution/credentials/{distribution_credentials_id}" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/usage Retrieves the usage for a specific project. Use Get Project Usage Breakdown for a more comprehensive usage summary. ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **start** (string (date), query, optional): Start date of the requested date range. Format accepted is YYYY-MM-DD - **end** (string (date), query, optional): End date of the requested date range. Format accepted is YYYY-MM-DD - **accessor** (string, query, optional): Filter for requests where a specific accessor was used - **alternatives** (boolean, query, optional): Filter for requests where alternatives were used - **callback_method** (boolean, query, optional): Filter for requests where callback method was used - **callback** (boolean, query, optional): Filter for requests where callback was used - **channels** (boolean, query, optional): Filter for requests where channels were used - **custom_intent_mode** (boolean, query, optional): Filter for requests where custom intent mode was used - **custom_intent** (boolean, query, optional): Filter for requests where custom intent was used - **custom_topic_mode** (boolean, query, optional): Filter for requests where custom topic mode was used - **custom_topic** (boolean, query, optional): Filter for requests where custom topic was used - **deployment** (V1ProjectsProjectIdUsageGetParametersDeployment, query, optional): Filter for requests where a specific deployment was used - **detect_entities** (boolean, query, optional): Filter for requests where detect entities was used - **detect_language** (boolean, query, optional): Filter for requests where detect language was used - **diarize** (boolean, query, optional): Filter for requests where diarize was used - **dictation** (boolean, query, optional): Filter for requests where dictation was used - **encoding** (boolean, query, optional): Filter for requests where encoding was used - **endpoint** (V1ProjectsProjectIdUsageGetParametersEndpoint, query, optional): Filter for requests where a specific endpoint was used - **extra** (boolean, query, optional): Filter for requests where extra was used - **filler_words** (boolean, query, optional): Filter for requests where filler words was used - **intents** (boolean, query, optional): Filter for requests where intents was used - **keyterm** (boolean, query, optional): Filter for requests where keyterm was used - **keywords** (boolean, query, optional): Filter for requests where keywords was used - **language** (boolean, query, optional): Filter for requests where language was used - **measurements** (boolean, query, optional): Filter for requests where measurements were used - **method** (V1ProjectsProjectIdUsageGetParametersMethod, query, optional): Filter for requests where a specific method was used - **model** (string, query, optional): Filter for requests where a specific model uuid was used - **multichannel** (boolean, query, optional): Filter for requests where multichannel was used - **numerals** (boolean, query, optional): Filter for requests where numerals were used - **paragraphs** (boolean, query, optional): Filter for requests where paragraphs were used - **profanity_filter** (boolean, query, optional): Filter for requests where profanity filter was used - **punctuate** (boolean, query, optional): Filter for requests where punctuate was used - **redact** (boolean, query, optional): Filter for requests where redact was used - **replace** (boolean, query, optional): Filter for requests where replace was used - **sample_rate** (boolean, query, optional): Filter for requests where sample rate was used - **search** (boolean, query, optional): Filter for requests where search was used - **sentiment** (boolean, query, optional): Filter for requests where sentiment was used - **smart_format** (boolean, query, optional): Filter for requests where smart format was used - **summarize** (boolean, query, optional): Filter for requests where summarize was used - **tag** (string, query, optional): Filter for requests where a specific tag was used - **topics** (boolean, query, optional): Filter for requests where topics was used - **utt_split** (boolean, query, optional): Filter for requests where utt split was used - **utterances** (boolean, query, optional): Filter for requests where utterances was used - **version** (boolean, query, optional): Filter for requests where version was used - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A specific request for a specific project **UsageV1Response** - **start** (string (date)) - **end** (string (date)) - **resolution** (object) - **units** (string) - **amount** (number (double)) #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/usage?start=2023-01-01&end=2023-01-01&accessor=string&alternatives=true&callback_method=true&callback=true&channels=true&custom_intent_mode=true&custom_intent=true&custom_topic_mode=true&custom_topic=true&deployment=value&detect_entities=true&detect_language=true&diarize=true&dictation=true&encoding=true&endpoint=value&extra=true&filler_words=true&intents=true&keyterm=true&keywords=true&language=true&measurements=true&method=value&model=string&multichannel=true&numerals=true¶graphs=true&profanity_filter=true&punctuate=true&redact=true&replace=true&sample_rate=true&search=true&sentiment=true&smart_format=true&summarize=true&tag=string&topics=true&utt_split=true&utterances=true&version=true" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/agents Returns all agent configurations for the specified project. Configurations are returned in their uninterpolated form—template variable placeholders appear as-is rather than with their substituted values. ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A list of agent configurations **ListAgentConfigurationsV1Response** - **agents** (array (AgentConfigurationV1)): A list of agent configurations for the project Array items: - **agent_id** (string) (required): The unique identifier of the agent configuration - **config** (object) (required): The agent configuration object - **metadata** (object): A map of arbitrary key-value pairs for labeling or organizing the agent configuration - **created_at** (string (date-time)): Timestamp when the configuration was created - **updated_at** (string (date-time)): Timestamp when the configuration was last updated #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/agents" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/agent-variables Returns all template variables for the specified project ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A list of agent variables **ListAgentVariablesV1Response** - **variables** (array (AgentVariableV1)): A list of agent variables for the project Array items: - **variable_id** (string) (required): The unique identifier of the variable - **key** (string) (required): The variable name, following the DG_ format - **value** (unknown) (required): The value to substitute. Can be any valid JSON type - **created_at** (string (date-time)): Timestamp when the variable was created - **updated_at** (string (date-time)): Timestamp when the variable was last updated #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/agent-variables" ``` ``` -------------------------------- ### Security: Authorization Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ```markdown ## Security: Authorization **Description:** Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` **Type:** apiKey ``` -------------------------------- ### GET /v1/projects/{project_id}/agent-variables/{variable_id} Returns the specified template variable ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **variable_id** (string, path, required): The unique identifier of the agent variable - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - An agent variable **AgentVariableV1** - **variable_id** (string) (required): The unique identifier of the variable - **key** (string) (required): The variable name, following the DG_ format - **value** (unknown) (required): The value to substitute. Can be any valid JSON type - **created_at** (string (date-time)): Timestamp when the variable was created - **updated_at** (string (date-time)): Timestamp when the variable was last updated #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/agent-variables/{variable_id}" ``` ``` -------------------------------- ### GET /v1/models Returns metadata on all the latest public models. To retrieve custom models, use Get Project Models. ```markdown ### Parameters - **include_outdated** (boolean, query, optional): returns non-latest versions of models - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A list of models **ListModelsV1Response** - **stt** (array (ListModelsV1ResponseSttModels)) Array items: - **name** (string) - **canonical_name** (string) - **architecture** (string) - **languages** (array (string)) - **version** (string) - **uuid** (string) - **batch** (boolean) - **streaming** (boolean) - **formatted_output** (boolean) - **tts** (array (ListModelsV1ResponseTtsModels)) Array items: - **name** (string) - **canonical_name** (string) - **architecture** (string) - **languages** (array (string)) - **version** (string) - **uuid** (string (uuid)) - **metadata** (object) - **accent** (string) - **age** (string) - **color** (string) - **image** (string (uri)) - **sample** (string (uri)) - **tags** (array (string)) - **use_cases** (array (string)) #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/models?include_outdated=true" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/models/{model_id} Returns metadata for a specific model ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **model_id** (string, path, required): The specific UUID of the model - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A model object that can be either STT or TTS **GetModelV1Response** - **name** (string) - **canonical_name** (string) - **architecture** (string) - **languages** (array (string)) - **version** (string) - **uuid** (string (uuid)) - **batch** (boolean) - **streaming** (boolean) - **formatted_output** (boolean) #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/models/{model_id}" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/self-hosted/distribution/credentials Lists sets of distribution credentials for the specified project ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A list of distribution credentials for a specific project **ListProjectDistributionCredentialsV1Response** - **distribution_credentials** (array (ListProjectDistributionCredentialsV1ResponseDistributionCredentialsItems)): Array of distribution credentials with associated member information Array items: - **member** (object) (required) - **member_id** (string (uuid)) (required): Unique identifier for the member - **email** (string (email)) (required): Email address of the member - **distribution_credentials** (object) (required) - **distribution_credentials_id** (string (uuid)) (required): Unique identifier for the distribution credentials - **provider** (string) (required): The provider of the distribution service - **comment** (string): Optional comment about the credentials - **scopes** (array (string)) (required): List of permission scopes for the credentials - **created** (string (date-time)) (required): Timestamp when the credentials were created #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/self-hosted/distribution/credentials" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/agents/{agent_id} Returns the specified agent configuration in its uninterpolated form ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **agent_id** (string, path, required): The unique identifier of the agent configuration - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - An agent configuration **AgentConfigurationV1** - **agent_id** (string) (required): The unique identifier of the agent configuration - **config** (object) (required): The agent configuration object - **metadata** (object): A map of arbitrary key-value pairs for labeling or organizing the agent configuration - **created_at** (string (date-time)): Timestamp when the configuration was created - **updated_at** (string (date-time)): Timestamp when the configuration was last updated #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/agents/{agent_id}" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/balances Generates a list of outstanding balances for the specified project ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A list of outstanding balances **ListProjectBalancesV1Response** - **balances** (array (ListProjectBalancesV1ResponseBalancesItems)) Array items: - **balance_id** (string): The unique identifier of the balance - **amount** (number (double)): The amount of the balance - **units** (string): The units of the balance, such as "USD" - **purchase_order_id** (string): Description or reference of the purchase #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/balances" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/members Retrieves a list of members for a given project ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A list of members for a given project **ListProjectMembersV1Response** - **members** (array (ListProjectMembersV1ResponseMembersItems)) Array items: - **member_id** (string): The unique identifier of the member - **scopes** (array (string)): The API scopes of the member - **email** (string) - **first_name** (string) - **last_name** (string) #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/members" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/billing/breakdown Retrieves the billing summary for a specific project, with various filter options or by grouping options. ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **start** (string (date), query, optional): Start date of the requested date range. Format accepted is YYYY-MM-DD - **end** (string (date), query, optional): End date of the requested date range. Format accepted is YYYY-MM-DD - **accessor** (string, query, optional): Filter for requests where a specific accessor was used - **deployment** (V1ProjectsProjectIdBillingBreakdownGetParametersDeployment, query, optional): Filter for requests where a specific deployment was used - **tag** (string, query, optional): Filter for requests where a specific tag was used - **line_item** (string, query, optional): Filter requests by line item (e.g. streaming::nova-3) - **grouping** (array (V1ProjectsProjectIdBillingBreakdownGetParametersGroupingSchemaItems), query, optional): Group billing breakdown by one or more dimensions (accessor, deployment, line_item, tags) - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - Billing breakdown response **BillingBreakdownV1Response** - **start** (string (date)) (required): Start date of the billing summmary period - **end** (string (date)) (required): End date of the billing summary period - **resolution** (object) (required) - **units** (string) (required): Time unit for the resolution - **amount** (number (double)) (required): Amount of units - **results** (array (BillingBreakdownV1ResponseResultsItems)) (required) Array items: - **dollars** (number (double)) (required): USD cost of the billing for this grouping - **grouping** (object) (required) - **start** (string (date)): Start date for this group - **end** (string (date)): End date for this group - **accessor** (string,null): Optional accessor identifier, null unless grouped by accessor. - **deployment** (string,null): Optional deployment identifier, null unless grouped by deployment. - **line_item** (string,null): Optional line item identifier, null unless grouped by line item. - **tags** (array,null): Optional list of tags, null unless grouped by tags. #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/billing/breakdown?start=2023-01-01&end=2023-01-01&accessor=string&deployment=value&tag=string&line_item=string&grouping=item1,item2" ``` ``` -------------------------------- ### Security: JwtAuth Use `Authorization: Bearer ` Example: `Authorization: Bearer eyJhbGciOiJ...` ```markdown ## Security: JwtAuth **Description:** Use `Authorization: Bearer ` Example: `Authorization: Bearer eyJhbGciOiJ...` **Type:** http **Scheme:** bearer ``` -------------------------------- ### GET /v1/projects/{project_id}/usage/fields Lists the features, models, tags, languages, and processing method used for requests in the specified project ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **start** (string (date), query, optional): Start date of the requested date range. Format accepted is YYYY-MM-DD - **end** (string (date), query, optional): End date of the requested date range. Format accepted is YYYY-MM-DD - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A list of fields for a specific project **UsageFieldsV1Response** - **tags** (array (string)): List of tags associated with the project - **models** (array (UsageFieldsV1ResponseModelsItems)): List of models available for the project. Array items: - **name** (string): Name of the model. - **language** (string): The language supported by the model (IETF language tag). - **version** (string): Version identifier of the model, typically with a date and a revision number. - **model_id** (string): Unique identifier for the model. - **processing_methods** (array (string)): Processing methods supported by the API - **features** (array (string)): API features available to the project #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/usage/fields?start=2023-01-01&end=2023-01-01" ``` ``` -------------------------------- ### GET /v1/agent/settings/think/models Retrieves the available think models that can be used for AI agent processing ```markdown ### Responses #### 200 - List of available think models **AgentThinkModelsV1Response** - **models** (array (AgentThinkModelsV1ResponseModelsItems)) (required) Array items: - **id** (string (gpt-5|gpt-5-mini|gpt-5-nano|gpt-4.1|gpt-4.1-mini|gpt-4.1-nano|gpt-4o|gpt-4o-mini)) (required): The unique identifier of the OpenAI model ("gpt-5"|"gpt-5-mini"|"gpt-5-nano"|"gpt-4.1"|"gpt-4.1-mini"|"gpt-4.1-nano"|"gpt-4o"|"gpt-4o-mini") - **name** (string) (required): The display name of the model - **provider** (unknown) (required): The provider of the model #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/agent/settings/think/models" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/models Returns metadata on all the latest models that a specific project has access to, including non-public models ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **include_outdated** (boolean, query, optional): returns non-latest versions of models - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A list of models **ListModelsV1Response** - **stt** (array (ListModelsV1ResponseSttModels)) Array items: - **name** (string) - **canonical_name** (string) - **architecture** (string) - **languages** (array (string)) - **version** (string) - **uuid** (string) - **batch** (boolean) - **streaming** (boolean) - **formatted_output** (boolean) - **tts** (array (ListModelsV1ResponseTtsModels)) Array items: - **name** (string) - **canonical_name** (string) - **architecture** (string) - **languages** (array (string)) - **version** (string) - **uuid** (string (uuid)) - **metadata** (object) - **accent** (string) - **age** (string) - **color** (string) - **image** (string (uri)) - **sample** (string (uri)) - **tags** (array (string)) - **use_cases** (array (string)) #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/models?include_outdated=true" ``` ``` -------------------------------- ### GET /v1/projects/{project_id}/usage/breakdown Retrieves the usage breakdown for a specific project, with various filter options by API feature or by groupings. Setting a feature (e.g. diarize) to true includes requests that used that feature, while false excludes requests that used it. Multiple true filters are combined with OR logic, while false filters use AND logic. ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **start** (string (date), query, optional): Start date of the requested date range. Format accepted is YYYY-MM-DD - **end** (string (date), query, optional): End date of the requested date range. Format accepted is YYYY-MM-DD - **grouping** (V1ProjectsProjectIdUsageBreakdownGetParametersGrouping, query, optional): Common usage grouping parameters - **accessor** (string, query, optional): Filter for requests where a specific accessor was used - **alternatives** (boolean, query, optional): Filter for requests where alternatives were used - **callback_method** (boolean, query, optional): Filter for requests where callback method was used - **callback** (boolean, query, optional): Filter for requests where callback was used - **channels** (boolean, query, optional): Filter for requests where channels were used - **custom_intent_mode** (boolean, query, optional): Filter for requests where custom intent mode was used - **custom_intent** (boolean, query, optional): Filter for requests where custom intent was used - **custom_topic_mode** (boolean, query, optional): Filter for requests where custom topic mode was used - **custom_topic** (boolean, query, optional): Filter for requests where custom topic was used - **deployment** (V1ProjectsProjectIdUsageBreakdownGetParametersDeployment, query, optional): Filter for requests where a specific deployment was used - **detect_entities** (boolean, query, optional): Filter for requests where detect entities was used - **detect_language** (boolean, query, optional): Filter for requests where detect language was used - **diarize** (boolean, query, optional): Filter for requests where diarize was used - **dictation** (boolean, query, optional): Filter for requests where dictation was used - **encoding** (boolean, query, optional): Filter for requests where encoding was used - **endpoint** (V1ProjectsProjectIdUsageBreakdownGetParametersEndpoint, query, optional): Filter for requests where a specific endpoint was used - **extra** (boolean, query, optional): Filter for requests where extra was used - **filler_words** (boolean, query, optional): Filter for requests where filler words was used - **intents** (boolean, query, optional): Filter for requests where intents was used - **keyterm** (boolean, query, optional): Filter for requests where keyterm was used - **keywords** (boolean, query, optional): Filter for requests where keywords was used - **language** (boolean, query, optional): Filter for requests where language was used - **measurements** (boolean, query, optional): Filter for requests where measurements were used - **method** (V1ProjectsProjectIdUsageBreakdownGetParametersMethod, query, optional): Filter for requests where a specific method was used - **model** (string, query, optional): Filter for requests where a specific model uuid was used - **multichannel** (boolean, query, optional): Filter for requests where multichannel was used - **numerals** (boolean, query, optional): Filter for requests where numerals were used - **paragraphs** (boolean, query, optional): Filter for requests where paragraphs were used - **profanity_filter** (boolean, query, optional): Filter for requests where profanity filter was used - **punctuate** (boolean, query, optional): Filter for requests where punctuate was used - **redact** (boolean, query, optional): Filter for requests where redact was used - **replace** (boolean, query, optional): Filter for requests where replace was used - **sample_rate** (boolean, query, optional): Filter for requests where sample rate was used - **search** (boolean, query, optional): Filter for requests where search was used - **sentiment** (boolean, query, optional): Filter for requests where sentiment was used - **smart_format** (boolean, query, optional): Filter for requests where smart format was used - **summarize** (boolean, query, optional): Filter for requests where summarize was used - **tag** (string, query, optional): Filter for requests where a specific tag was used - **topics** (boolean, query, optional): Filter for requests where topics was used - **utt_split** (boolean, query, optional): Filter for requests where utt split was used - **utterances** (boolean, query, optional): Filter for requests where utterances was used - **version** (boolean, query, optional): Filter for requests where version was used - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - Usage breakdown response **UsageBreakdownV1Response** - **start** (string (date)) (required): Start date of the usage period - **end** (string (date)) (required): End date of the usage period - **resolution** (object) (required) - **units** (string) (required): Time unit for the resolution - **amount** (number (double)) (required): Amount of units - **results** (array (UsageBreakdownV1ResponseResultsItems)) (required) Array items: - **hours** (number (double)) (required): Audio hours processed - **total_hours** (number (double)) (required): Total hours including all processing - **agent_hours** (number (double)) (required): Agent hours used - **tokens_in** (number (double)) (required): Number of input tokens - **tokens_out** (number (double)) (required): Number of output tokens - **tts_characters** (number (double)) (required): Number of text-to-speech characters processed - **requests** (number (double)) (required): Number of requests - **grouping** (object) (required) - **start** (string (date)): Start date for this group - **end** (string (date)): End date for this group - **accessor** (string,null): Optional accessor identifier - **endpoint** (string,null): Optional endpoint identifier - **feature_set** (string,null): Optional feature set identifier - **models** (array (string)) - **method** (string,null): Optional method identifier - **tags** (array,null): Optional list of tags, null unless grouped by tags. - **deployment** (string,null): Optional deployment identifier #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/projects/{project_id}/usage/breakdown?start=2023-01-01&end=2023-01-01&grouping=value&accessor=string&alternatives=true&callback_method=true&callback=true&channels=true&custom_intent_mode=true&custom_intent=true&custom_topic_mode=true&custom_topic=true&deployment=value&detect_entities=true&detect_language=true&diarize=true&dictation=true&encoding=true&endpoint=value&extra=true&filler_words=true&intents=true&keyterm=true&keywords=true&language=true&measurements=true&method=value&model=string&multichannel=true&numerals=true¶graphs=true&profanity_filter=true&punctuate=true&redact=true&replace=true&sample_rate=true&search=true&sentiment=true&smart_format=true&summarize=true&tag=string&topics=true&utt_split=true&utterances=true&version=true" ``` ``` -------------------------------- ### POST /v1/projects/{project_id}/keys Creates a new API key with specified settings for the project ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Request Body **Content-Type:** application/json ### Responses #### 200 - API key created successfully **CreateKeyV1Response** - **api_key_id** (string): The unique identifier of the API key - **key** (string): The API key - **comment** (string): A comment for the API key - **scopes** (array (string)): The scopes for the API key - **tags** (array (string)): The tags for the API key - **expiration_date** (string (date-time)): The expiration date of the API key #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X POST "https://agent.deepgram.com/v1/projects/{project_id}/keys" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### Schema: CreateKeyV1Response API key created ```markdown ## Schema: CreateKeyV1Response API key created **Type:** object - **api_key_id** (string): The unique identifier of the API key - **key** (string): The API key - **comment** (string): A comment for the API key - **scopes** (array (string)): The scopes for the API key - **tags** (array (string)): The tags for the API key - **expiration_date** (string (date-time)): The expiration date of the API key ``` -------------------------------- ### POST /v1/projects/{project_id}/self-hosted/distribution/credentials Creates a set of distribution credentials for the specified project ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **scopes** (array (V1ProjectsProjectIdSelfHostedDistributionCredentialsPostParametersScopesSchemaItems), query, optional): List of permission scopes for the credentials - **provider** (V1ProjectsProjectIdSelfHostedDistributionCredentialsPostParametersProvider, query, optional): The provider of the distribution service - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Request Body **Content-Type:** application/json - **comment** (string): Optional comment about the credentials ### Responses #### 200 - Single distribution credential **CreateProjectDistributionCredentialsV1Response** - **member** (object) (required) - **member_id** (string (uuid)) (required): Unique identifier for the member - **email** (string (email)) (required): Email address of the member - **distribution_credentials** (object) (required) - **distribution_credentials_id** (string (uuid)) (required): Unique identifier for the distribution credentials - **provider** (string) (required): The provider of the distribution service - **comment** (string): Optional comment about the credentials - **scopes** (array (string)) (required): List of permission scopes for the credentials - **created** (string (date-time)) (required): Timestamp when the credentials were created #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X POST "https://agent.deepgram.com/v1/projects/{project_id}/self-hosted/distribution/credentials?scopes=self-hosted:products&provider=quay" \ -H "Content-Type: application/json" \ -d '{ "comment": "string" }' ``` ``` -------------------------------- ### GET /v1/models/{model_id} Returns metadata for a specific public model ```markdown ### Parameters - **model_id** (string, path, required): The specific UUID of the model - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Responses #### 200 - A model object that can be either STT or TTS **GetModelV1Response** - **name** (string) - **canonical_name** (string) - **architecture** (string) - **languages** (array (string)) - **version** (string) - **uuid** (string (uuid)) - **batch** (boolean) - **streaming** (boolean) - **formatted_output** (boolean) #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X GET "https://agent.deepgram.com/v1/models/{model_id}" ``` ``` -------------------------------- ### POST /v1/projects/{project_id}/invites Generates an invite for a specific project ```markdown ### Parameters - **project_id** (string, path, required): The unique identifier of the project - **Authorization** (string, header, required): Use `Authorization: Token ` Example: `Authorization: Token 12345abcdef` ### Request Body **Content-Type:** application/json - **email** (string) (required): The email address of the invitee - **scope** (string) (required): The scope of the invitee ### Responses #### 200 - The invite was successfully generated **CreateProjectInviteV1Response** - **message** (string): confirmation message #### 400 - Invalid Request **ErrorResponse** ### Example Usage ```bash curl -X POST "https://agent.deepgram.com/v1/projects/{project_id}/invites" \ -H "Content-Type: application/json" \ -d '{ "email": "string", "scope": "string" }' ``` ``` -------------------------------- ### Schema: V1SpeakPostParametersContainer0 No container. ```markdown ## Schema: V1SpeakPostParametersContainer0 No container. **Type:** string ```